summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorSage Weil <sage@inktank.com>2013-03-14 12:33:08 -0700
committerSage Weil <sage@inktank.com>2013-03-14 12:33:57 -0700
commitefd153e9e20394e489bb6f01376df2e3a60f5958 (patch)
treee4500dc7003c2255a8e5b86851629d6879003490 /debian
parentce7ee72792e203ae04b7bc48a3ccd5b63bb9e224 (diff)
downloadceph-efd153e9e20394e489bb6f01376df2e3a60f5958.tar.gz
debian: add start ceph-mds-all on ceph-mds install
This ensures that when we then start individual mds instances, we can stop ceph-mds-all and they will get stopped. We do the same already for ceph-all. Signed-off-by: Sage Weil <sage@inktank.com> (cherry picked from commit 41897fcba168b409fd370d0b26016fe4d30c5a59)
Diffstat (limited to 'debian')
-rw-r--r--debian/ceph-mds.postinst42
1 files changed, 42 insertions, 0 deletions
diff --git a/debian/ceph-mds.postinst b/debian/ceph-mds.postinst
new file mode 100644
index 00000000000..dfe02d2308e
--- /dev/null
+++ b/debian/ceph-mds.postinst
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for ceph-mds
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#
+# postinst configure <most-recently-configured-version>
+# old-postinst abort-upgrade <new-version>
+# conflictor's-postinst abort-remove in-favour <package> <new-version>
+# postinst abort-remove
+# deconfigured's-postinst abort-deconfigure in-favour <failed-install-package> <version> [<removing conflicting-package> <version>]
+#
+
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ start ceph-mds-all || :
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ :
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+